xn::AntiFlickerCapability Class Reference
C++ Reference to Application Programmer Interface (API) » Production Nodes Functionality

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::AntiFlickerCapability:
[legend]

## Public Member Functions

| AntiFlickerCapability (XnNodeHandle hNode)
| AntiFlickerCapability (const NodeWrapper &node)
XnStatus | SetPowerLineFrequency (XnPowerLineFrequency nFrequency)
XnPowerLineFrequency | GetPowerLineFrequency ()
XnStatus | RegisterToPowerLineFrequencyChange (StateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)
void | UnregisterFromPowerLineFrequencyChange (XnCallbackHandle hCallback)
Public Member Functions inherited from xn::Capability
| Capability (XnNodeHandle hNode)
| Capability (const NodeWrapper &node)
Public Member Functions inherited from xn::NodeWrapper
| NodeWrapper (XnNodeHandle hNode)
| NodeWrapper (const NodeWrapper &other)
NodeWrapper & | operator= (const NodeWrapper &other)
| ~NodeWrapper ()
| operator XnNodeHandle () const
XnNodeHandle | GetHandle () const
XnBool | operator== (const NodeWrapper &other)
XnBool | operator!= (const NodeWrapper &other)
XnBool | IsValid () const
const XnChar * | GetName () const
XnStatus | AddRef ()
void | Release ()
void | SetHandle (XnNodeHandle hNode)
void | TakeOwnership (XnNodeHandle hNode)

## Detailed Description

Allows access to Anti Flicker capability functions. see Anti Flicker Capability for additional details.

Usage: Do not instantiate directly. Instead, use MapGenerator::GetAntiFlickerCap() to obtain an instance.

## Constructor & Destructor Documentation

## AntiFlickerCapability() [1/2]

xn::AntiFlickerCapability::AntiFlickerCapability | ( | XnNodeHandle | hNode | ) |

inline

Ctor

Parameters

  [in] | hNode | Node handle

## AntiFlickerCapability() [2/2]

xn::AntiFlickerCapability::AntiFlickerCapability | ( | const NodeWrapper & | node | ) |

inline

## Member Function Documentation

## GetPowerLineFrequency()

XnPowerLineFrequency xn::AntiFlickerCapability::GetPowerLineFrequency | ( |  | ) |

inline

Gets the power line frequency. For full details and usage, see xnGetPowerLineFrequency

## RegisterToPowerLineFrequencyChange()

XnStatus xn::AntiFlickerCapability::RegisterToPowerLineFrequencyChange | ( | StateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

inline

Registers an event handler for the 'Power Line Frequency Change' event.

Parameters

  [in] | handler | Callback function to be invoked when the event is raised.
  [in] | pCookie | User's cookie, to be delivered to the callback.
  [out] | hCallback | Handle to the callback to be used for unregistering it.

For full details and usage of the parameters, see Registering to Events.

## SetPowerLineFrequency()

XnStatus xn::AntiFlickerCapability::SetPowerLineFrequency | ( | XnPowerLineFrequency | nFrequency | ) |

inline

Sets the power line frequency: 50 Hz, 60 Hz, or 0 to turn off anti-flicker. For full details and usage, see xnSetPowerLineFrequency

## UnregisterFromPowerLineFrequencyChange()

void xn::AntiFlickerCapability::UnregisterFromPowerLineFrequencyChange | ( | XnCallbackHandle | hCallback | ) |

inline

Unregisters the event handler for the 'Power Line Frequency Change' event.

Parameters

  [in] | hCallback | Handle received from registration.

For full details and usage of the parameter, see Unregistering from Events .

The documentation for this class was generated from the following file:

- XnCppWrapper.h